[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazReaderPNG

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: intfgraphics.pas line 573

`type TLazReaderPNG = class(TFPReaderPNG, ILazImageReader)`
`protected`
`function QueryInterface();`
`function _AddRef;`
`function _Release;`
`procedure DoDecompress; override;`
`procedure HandleAlpha; override;`
`procedure InternalRead(); override;`
`public`
`property UpdateDescription: Boolean; [rw]`
`end;`

## Inheritance

`TLazReaderPNG,ILazImageReader`
`TFPReaderPNG`
?
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.